commit af7609b5765d1f4a294ebec7e0997262ae9f057d
Author: Tomáš Ballák <ballak.tomas@protonmail.com>
Date:   Tue Jan 12 22:35:17 2021 +0100

    Re #8193 - refactoring crawler

diff --git a/modules/crawler/DatasetCrawler/JIS_crawler.py b/modules/crawler/DatasetCrawler/JIS_crawler.py
index 15f3599..f03a1bc 100644
--- a/modules/crawler/DatasetCrawler/JIS_crawler.py
+++ b/modules/crawler/DatasetCrawler/JIS_crawler.py
@@ -1,11 +1,11 @@
 from Utilities import folder_processor
 from Utilities.Crawler import basic_crawler_functions
-
+from shared_types import ConfigType
 # Path to crawled data
 CRAWLED_DATA_PATH = "CrawledData/"
 
 
-def crawl(config):
+def crawl(config: ConfigType):
     """
     Implement crawl method that downloads new data to path_for_files
     For keeping the project structure
@@ -21,20 +21,25 @@ def crawl(config):
     path_for_files = CRAWLED_DATA_PATH + dataset_name + '/'
 
     first_level_links = basic_crawler_functions.get_all_links(url)
-    filtered_first_level_links = basic_crawler_functions.filter_links(first_level_links, "^OD_ZCU")
-    absolute_first_level_links = basic_crawler_functions.create_absolute_links(filtered_first_level_links, url)
+    filtered_first_level_links = basic_crawler_functions.filter_links(
+        first_level_links, "^OD_ZCU")
+    absolute_first_level_links = basic_crawler_functions.create_absolute_links(
+        filtered_first_level_links, url)
 
     files = []
 
     for link in absolute_first_level_links:
         second_level_links = basic_crawler_functions.get_all_links(link)
-        filtered_second_level_links = basic_crawler_functions.filter_links(second_level_links, regex)
-        absolute_second_level_links = basic_crawler_functions.create_absolute_links(filtered_second_level_links, link)
+        filtered_second_level_links = basic_crawler_functions.filter_links(
+            second_level_links, regex)
+        absolute_second_level_links = basic_crawler_functions.create_absolute_links(
+            filtered_second_level_links, link)
 
         for file_link in absolute_second_level_links:
             files.append(file_link)
 
-    files = basic_crawler_functions.remove_downloaded_links(files, dataset_name)
+    files = basic_crawler_functions.remove_downloaded_links(
+        files, dataset_name)
 
     for file in files:
         basic_crawler_functions.download_file_from_url(file, dataset_name)
diff --git a/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py b/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py
index 6851240..9b1bc9e 100644
--- a/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py
+++ b/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py
@@ -1,11 +1,11 @@
 from Utilities import folder_processor
 from Utilities.Crawler import basic_crawler_functions
-
+from shared_types import ConfigType
 # Path to crawled data
 CRAWLED_DATA_PATH = "CrawledData/"
 
 
-def crawl(config):
+def crawl(config: ConfigType):
     """
     Implement crawl method that downloads new data to path_for_files
     For keeping the project structure
@@ -21,20 +21,25 @@ def crawl(config):
     path_for_files = CRAWLED_DATA_PATH + dataset_name + '/'
 
     first_level_links = basic_crawler_functions.get_all_links(url)
-    filtered_first_level_links = basic_crawler_functions.filter_links(first_level_links, "^OD_ZCU")
-    absolute_first_level_links = basic_crawler_functions.create_absolute_links(filtered_first_level_links, url)
+    filtered_first_level_links = basic_crawler_functions.filter_links(
+        first_level_links, "^OD_ZCU")
+    absolute_first_level_links = basic_crawler_functions.create_absolute_links(
+        filtered_first_level_links, url)
 
     files = []
 
     for link in absolute_first_level_links:
         second_level_links = basic_crawler_functions.get_all_links(link)
-        filtered_second_level_links = basic_crawler_functions.filter_links(second_level_links, regex)
-        absolute_second_level_links = basic_crawler_functions.create_absolute_links(filtered_second_level_links, link)
+        filtered_second_level_links = basic_crawler_functions.filter_links(
+            second_level_links, regex)
+        absolute_second_level_links = basic_crawler_functions.create_absolute_links(
+            filtered_second_level_links, link)
 
         for file_link in absolute_second_level_links:
             files.append(file_link)
 
-    files = basic_crawler_functions.remove_downloaded_links(files, dataset_name)
+    files = basic_crawler_functions.remove_downloaded_links(
+        files, dataset_name)
 
     for file in files:
         basic_crawler_functions.download_file_from_url(file, dataset_name)
diff --git a/modules/crawler/DatasetCrawler/OBSAZENIMISTNOSTI_crawler.py b/modules/crawler/DatasetCrawler/OBSAZENIMISTNOSTI_crawler.py
index f405f28..d8575b3 100644
--- a/modules/crawler/DatasetCrawler/OBSAZENIMISTNOSTI_crawler.py
+++ b/modules/crawler/DatasetCrawler/OBSAZENIMISTNOSTI_crawler.py
@@ -1,11 +1,12 @@
 from Utilities import folder_processor
 from Utilities.Crawler import basic_crawler_functions
+from shared_types import ConfigType
 
 # Path to crawled data
 CRAWLED_DATA_PATH = "CrawledData/"
 
 
-def crawl(config):
+def crawl(config: ConfigType):
     """
     Implement crawl method that downloads new data to path_for_files
     For keeping the project structure
diff --git a/modules/crawler/DatasetCrawler/WIFI_crawler.py b/modules/crawler/DatasetCrawler/WIFI_crawler.py
index 6851240..40e0576 100644
--- a/modules/crawler/DatasetCrawler/WIFI_crawler.py
+++ b/modules/crawler/DatasetCrawler/WIFI_crawler.py
@@ -1,11 +1,12 @@
 from Utilities import folder_processor
 from Utilities.Crawler import basic_crawler_functions
+from shared_types import ConfigType
 
 # Path to crawled data
 CRAWLED_DATA_PATH = "CrawledData/"
 
 
-def crawl(config):
+def crawl(config: ConfigType):
     """
     Implement crawl method that downloads new data to path_for_files
     For keeping the project structure
@@ -21,20 +22,25 @@ def crawl(config):
     path_for_files = CRAWLED_DATA_PATH + dataset_name + '/'
 
     first_level_links = basic_crawler_functions.get_all_links(url)
-    filtered_first_level_links = basic_crawler_functions.filter_links(first_level_links, "^OD_ZCU")
-    absolute_first_level_links = basic_crawler_functions.create_absolute_links(filtered_first_level_links, url)
+    filtered_first_level_links = basic_crawler_functions.filter_links(
+        first_level_links, "^OD_ZCU")
+    absolute_first_level_links = basic_crawler_functions.create_absolute_links(
+        filtered_first_level_links, url)
 
     files = []
 
     for link in absolute_first_level_links:
         second_level_links = basic_crawler_functions.get_all_links(link)
-        filtered_second_level_links = basic_crawler_functions.filter_links(second_level_links, regex)
-        absolute_second_level_links = basic_crawler_functions.create_absolute_links(filtered_second_level_links, link)
+        filtered_second_level_links = basic_crawler_functions.filter_links(
+            second_level_links, regex)
+        absolute_second_level_links = basic_crawler_functions.create_absolute_links(
+            filtered_second_level_links, link)
 
         for file_link in absolute_second_level_links:
             files.append(file_link)
 
-    files = basic_crawler_functions.remove_downloaded_links(files, dataset_name)
+    files = basic_crawler_functions.remove_downloaded_links(
+        files, dataset_name)
 
     for file in files:
         basic_crawler_functions.download_file_from_url(file, dataset_name)
diff --git a/modules/crawler/DatasetProcessing/JIS_processor.py b/modules/crawler/DatasetProcessing/JIS_processor.py
index c141564..faa6cf3 100644
--- a/modules/crawler/DatasetProcessing/JIS_processor.py
+++ b/modules/crawler/DatasetProcessing/JIS_processor.py
@@ -1,8 +1,10 @@
 from Utilities.CSV import csv_data_line
 from Utilities import date_formating
 
+from shared_types import DateDict
 
-def process_file(filename):
+
+def process_file(filename: str) -> DateDict:
     """
     Method that take path to crawled file and outputs date dictionary:
     Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)
@@ -16,7 +18,7 @@ def process_file(filename):
     None if not implemented
     date_dict when implemented
     """
-    date_dict = dict()
+    date_dict = {}
 
     with open(filename, "r", encoding="utf-8") as file:
 
@@ -29,12 +31,12 @@ def process_file(filename):
             occurrence = array[2][:-1]
 
             if date not in date_dict:
-                date_dict[date] = dict()
+                date_dict[date] = {}
 
             if name in date_dict[date]:
                 date_dict[date][name].occurrence += int(occurrence)
             else:
-                date_dict[date][name] = csv_data_line.CSVDataLine(name, date, occurrence)
+                date_dict[date][name] = csv_data_line.CSVDataLine(
+                    name, date, occurrence)
 
     return date_dict
-
diff --git a/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py b/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py
index ac449dc..7539790 100644
--- a/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py
+++ b/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py
@@ -1,8 +1,10 @@
 from Utilities.CSV import csv_data_line
 from Utilities import date_formating
 
+from shared_types import DateDict
 
-def process_file(filename):
+
+def process_file(filename: str) -> DateDict:
     """
     Method that take path to crawled file and outputs date dictionary:
     Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)
@@ -16,7 +18,7 @@ def process_file(filename):
     None if not implemented
     date_dict when implemented
     """
-    date_dict = dict()
+    date_dict = {}
 
     with open(filename, "r") as file:
 
@@ -28,12 +30,12 @@ def process_file(filename):
             name = array[1][1:-1]
 
             if date not in date_dict:
-                date_dict[date] = dict()
+                date_dict[date] = {}
 
             if name in date_dict[date]:
                 date_dict[date][name].occurrence += 1
             else:
-                date_dict[date][name] = csv_data_line.CSVDataLine(name, date, 1)
+                date_dict[date][name] = csv_data_line.CSVDataLine(
+                    name, date, 1)
 
     return date_dict
-
diff --git a/modules/crawler/DatasetProcessing/OBSAZENIMISTNOSTI_processor.py b/modules/crawler/DatasetProcessing/OBSAZENIMISTNOSTI_processor.py
index d457c62..790b9fb 100644
--- a/modules/crawler/DatasetProcessing/OBSAZENIMISTNOSTI_processor.py
+++ b/modules/crawler/DatasetProcessing/OBSAZENIMISTNOSTI_processor.py
@@ -5,13 +5,15 @@ from datetime import date
 import time
 import datetime
 
+from shared_types import DateDict
+
 logging.basicConfig(filename='../../CrawlerLogs' + 'Crawlerlog-' +
                     date.today().strftime("%b-%Y") + '.log',
                     level=logging.INFO,
                     format='%(asctime)s %(message)s')
 
 
-def process_file(filename):
+def process_file(filename: str) -> DateDict:
     """
     Method that take path to crawled file and outputs date dictionary:
     Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)
@@ -25,7 +27,7 @@ def process_file(filename):
     None if not implemented
     date_dict when implemented
     """
-    date_dict = dict()
+    date_dict = {}
 
     with open(filename, "r") as file:
 
diff --git a/modules/crawler/DatasetProcessing/WIFI_processor.py b/modules/crawler/DatasetProcessing/WIFI_processor.py
index bb027b3..7448fed 100644
--- a/modules/crawler/DatasetProcessing/WIFI_processor.py
+++ b/modules/crawler/DatasetProcessing/WIFI_processor.py
@@ -1,8 +1,9 @@
 from Utilities.CSV import csv_data_line
 from Utilities import date_formating
+from shared_types import DateDict
 
 
-def process_file(filename):
+def process_file(filename: str) -> DateDict:
     """
     Method that take path to crawled file and outputs date dictionary:
     Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)
diff --git a/modules/crawler/Utilities/CSV/csv_data_line.py b/modules/crawler/Utilities/CSV/csv_data_line.py
index 90f15e7..2cdf146 100644
--- a/modules/crawler/Utilities/CSV/csv_data_line.py
+++ b/modules/crawler/Utilities/CSV/csv_data_line.py
@@ -3,20 +3,18 @@ class CSVDataLine:
     Class that specifies the look of data line in processed csv file
     prepared for database
     """
-
-    def __init__(self, name, date, occurrence):
+    def __init__(self, name: str, date: str, occurrence: int) -> None:
         try:
             test_val = int(occurrence)
         except ValueError:
             print("Occurence should be and integer value!")
 
         if len(date) != 13:
-            raise ValueError("Invalid date format YYYY-dd-mm-hh expected!")    
+            raise ValueError("Invalid date format YYYY-dd-mm-hh expected!")
 
         self.name = name
         self.date = date
         self.occurrence = test_val
 
-    def to_csv(self):
+    def to_csv(self) -> str:
         return self.name + ";" + str(self.occurrence) + ";" + self.date
-
diff --git a/modules/crawler/Utilities/CSV/csv_utils.py b/modules/crawler/Utilities/CSV/csv_utils.py
index 2865e38..adcf4cd 100644
--- a/modules/crawler/Utilities/CSV/csv_utils.py
+++ b/modules/crawler/Utilities/CSV/csv_utils.py
@@ -1,11 +1,13 @@
 import inspect
+from shared_types import StringSetType
 from Utilities.CSV import csv_data_line
 
 # Path to processed data
 PROCESSED_DATA_PATH = "ProcessedData/"
 
 
-def get_unique_names_from_file(filename, column_number):
+def get_unique_names_from_file(filename: str,
+                               column_number: int) -> StringSetType:
     """
         Extract set of unique names from file
     Args:
@@ -29,7 +31,7 @@ def get_unique_names_from_file(filename, column_number):
     return name_set
 
 
-def export_data_to_csv(filename, data_dict):
+def export_data_to_csv(filename: str, data_dict) -> None:
     """
         Takes data_dict and export it into a csv file
     Args:
@@ -40,9 +42,12 @@ def export_data_to_csv(filename, data_dict):
 
         for date in data_dict:
             if len(date) != 13:
-                raise ValueError("Invalid date format for key value --> YYYY-mm-dd-hh expected!")   
+                raise ValueError(
+                    "Invalid date format for key value --> YYYY-mm-dd-hh expected!"
+                )
             for data in data_dict[date]:
                 csv_line = data_dict[date][data]
-                if not isinstance(csv_line,csv_data_line.CSVDataLine):
-                    raise ValueError("data_dict is expected to have CSVDataLine as values")
+                if not isinstance(csv_line, csv_data_line.CSVDataLine):
+                    raise ValueError(
+                        "data_dict is expected to have CSVDataLine as values")
                 file.write(csv_line.to_csv() + '\n')
\ No newline at end of file
diff --git a/modules/crawler/Utilities/Crawler/basic_crawler_functions.py b/modules/crawler/Utilities/Crawler/basic_crawler_functions.py
index 9099b69..d14a4a3 100644
--- a/modules/crawler/Utilities/Crawler/basic_crawler_functions.py
+++ b/modules/crawler/Utilities/Crawler/basic_crawler_functions.py
@@ -3,14 +3,16 @@ import re
 from Utilities import folder_processor
 from Utilities.Database import database_record_logs
 from bs4 import BeautifulSoup
+from typing import List
 
 # Path to crawler logs
 CRAWLER_LOGS_PATH = "CrawlerLogs/"
 # Path to crawled data
 CRAWLED_DATA_PATH = "CrawledData/"
+LinksType = List[str]
 
 
-def get_all_links(url):
+def get_all_links(url: str) -> LinksType:
     """
     Sends http request to url, downloads all data,
     extract links
@@ -34,7 +36,7 @@ def get_all_links(url):
     return links
 
 
-def filter_links(links, regex):
+def filter_links(links: LinksType, regex: str) -> LinksType:
     """
     Filters list of links using regex
 
@@ -54,7 +56,7 @@ def filter_links(links, regex):
     return filtered_links
 
 
-def create_absolute_links(links, archive):
+def create_absolute_links(links: LinksType, archive: str) -> LinksType:
     """
         Appends archive path to every link in links
     Args:
@@ -72,7 +74,7 @@ def create_absolute_links(links, archive):
     return absolute_links
 
 
-def remove_downloaded_links(links, dataset_name):
+def remove_downloaded_links(links: LinksType, dataset_name: str) -> LinksType:
     """
     Loads already downloaded links from CRAWLER_LOGS_PATH ignore.txt
     Args:
@@ -88,7 +90,7 @@ def remove_downloaded_links(links, dataset_name):
     return final_links
 
 
-def download_file_from_url(url, dataset_name):
+def download_file_from_url(url: str, dataset_name: str) -> None:
     """
     Downloads file on provided url and saves it to path
     Args:
diff --git a/modules/crawler/Utilities/Database/database_data_line.py b/modules/crawler/Utilities/Database/database_data_line.py
index 47e53d8..3912e54 100644
--- a/modules/crawler/Utilities/Database/database_data_line.py
+++ b/modules/crawler/Utilities/Database/database_data_line.py
@@ -1,14 +1,23 @@
+from typing import Dict
+
+
 class DatabaseDataLine:
     """
     Class that specifies the look of data line in database
     """
-    def __init__(self, name, longitude, latitude, date, occurrence):
+    def __init__(self, name: str, longitude: float, latitude: float, date: str,
+                 occurrence: int):
         self.name = name
         self.latitude = latitude
         self.longitude = longitude
         self.date = date
         self.occurrence = occurrence
 
-    def to_dictionary(self):
-        return {"place": self.name, "x": self.longitude, "y": self.latitude, "number": self.occurrence,
-                "date": self.date}
+    def to_dictionary(self) -> Dict[str, any]:
+        return {
+            "place": self.name,
+            "x": self.longitude,
+            "y": self.latitude,
+            "number": self.occurrence,
+            "date": self.date
+        }
diff --git a/modules/crawler/Utilities/Database/database_loader.py b/modules/crawler/Utilities/Database/database_loader.py
index c48d6ce..e53a3b8 100644
--- a/modules/crawler/Utilities/Database/database_loader.py
+++ b/modules/crawler/Utilities/Database/database_loader.py
@@ -1,6 +1,8 @@
 from Utilities.Database import database_data_line, database_record_logs
 from Utilities import configure_functions
 from Utilities.helpers import should_skip, detect_change
+from shared_types import ConfigType
+from typing import Dict
 import pymongo
 import re
 
@@ -20,8 +22,10 @@ MONGODB_DATASET_DEVICES_COLLECTION = "DEVICES"
 # Path to processed data
 PROCESSED_DATA_PATH = "ProcessedData/"
 
+DatabaseConnectionType = Dict[str, any]
 
-def create_database_connection():
+
+def create_database_connection() -> pymongo.database.Database:
     """
     Creates connection to mongoDB
 
@@ -38,7 +42,7 @@ def create_database_connection():
     return database
 
 
-def get_data_from_file(filename, config):
+def get_data_from_file(filename: str, config: ConfigType) -> Dict[str, any]:
     """
         Opens processed file, reads it line by line
         name, ocurrence, date
@@ -59,7 +63,7 @@ def get_data_from_file(filename, config):
     f = open(dataset_path + filename, "r")
 
     devices = config["devices"]
-    date_dict = dict()
+    date_dict = {}
 
     for line in f:
         line = line[:-1]
@@ -86,8 +90,9 @@ def get_data_from_file(filename, config):
     return date_dict
 
 
-def load_data_to_database(database_connection, dataset_name, data_dic,
-                          file_name):
+def load_data_to_database(database_connection: DatabaseConnectionType,
+                          dataset_name: str, data_dic: Dict[str, any],
+                          file_name: str) -> None:
     """
     Takes data_dic created in method get_data_from_file
     and loads into into database where collection name is dataset_name + data_dic key
@@ -107,7 +112,8 @@ def load_data_to_database(database_connection, dataset_name, data_dic,
         date_dataset.insert_many(data_dic[date])
 
 
-def check_or_update_datasets_collection(database_connection, config):
+def check_or_update_datasets_collection(
+        database_connection: DatabaseConnectionType, config: ConfigType):
     """
     Checks if DATASETS collection contains dataset and if display name was not updated
 
@@ -116,8 +122,7 @@ def check_or_update_datasets_collection(database_connection, config):
         config: loaded configuration file of dataset
     """
     # collection where are specified aviable datasets
-    compareKeys = ['display-name',
-                   'display-color']
+    compareKeys = ['display-name', 'display-color']
     collection_datasets = database_connection[MONGODB_DATASET_COLLECTION]
 
     query = {'key-name': config['dataset-name']}
@@ -139,7 +144,7 @@ def check_or_update_datasets_collection(database_connection, config):
         collection_datasets.update_one(query, {"$set": newVal})
 
 
-def update_devices_collection(config):
+def update_devices_collection(config: ConfigType):
     """
     Checks if there are any changes in devices specified in config file against 
     devices processed and loaded into the database
@@ -164,7 +169,7 @@ def update_devices_collection(config):
 
     devices_cursor = collection_devices.find()
 
-    db_device_dict = dict()
+    db_device_dict = {}
 
     for device in devices_cursor:
         name = device['name']
@@ -208,7 +213,7 @@ def update_devices_collection(config):
     return change_in_devices
 
 
-def remove_dataset_database(dataset_name):
+def remove_dataset_database(dataset_name: str):
     """
     Removes dataset entries from database
     Args:
@@ -221,7 +226,7 @@ def remove_dataset_database(dataset_name):
     collection_datasets = mydb[MONGODB_DATASET_COLLECTION]
 
     collection_datasets.delete_one({"key-name": dataset_name})
-    print("Removing record from DATASETS collection")
+    print("Odstraňování záznamu z DATASETS kolekce")
 
     # Retrieve list of all collections
     collections = mydb.list_collection_names()
@@ -230,10 +235,10 @@ def remove_dataset_database(dataset_name):
     for name in collections:
         if name.startswith(dataset_name):
             mydb[name].drop()
-            print("Dropping: " + name)
+            print("Odstraňuji: " + name)
 
 
-def reset_dataset_database(dataset_name):
+def reset_dataset_database(dataset_name: str):
     """
     Reset dataset in database 
      - delete everything from except crawled links and mention in DATASETS collection
@@ -252,6 +257,6 @@ def reset_dataset_database(dataset_name):
     for name in collections:
         if pattern.match(name):
             mydb[name].drop()
-            print("Dropping: " + name)
+            print("Odstraňuji: " + name)
 
     database_record_logs.reset_ignore_set_loaded(dataset_name)
diff --git a/modules/crawler/Utilities/Database/database_record_logs.py b/modules/crawler/Utilities/Database/database_record_logs.py
index 37503f8..1e172db 100644
--- a/modules/crawler/Utilities/Database/database_record_logs.py
+++ b/modules/crawler/Utilities/Database/database_record_logs.py
@@ -1,5 +1,5 @@
 from Utilities.Database import database_loader
-
+from shared_types import StringSetType
 # mongodb collection with with already downloaded links
 MONGODB_DATASET_LINK_COLLECTION = "LINKS"
 # mongodb collection with with already processed files
@@ -10,7 +10,7 @@ MONGODB_DATASET_LOADED_COLLECTION = "LOADED"
 MONGODB_DATASET_COLLECTION = "DATASETS"
 
 
-def load_ignore_set_links(dataset_name):
+def load_ignore_set_links(dataset_name: str) -> StringSetType:
     """
     Loades from database links of already downloaded files by crawler
     
@@ -32,7 +32,7 @@ def load_ignore_set_links(dataset_name):
     return ignore_set
 
 
-def update_ignore_set_links(dataset_name,link):
+def update_ignore_set_links(dataset_name: str, link: str) -> None:
     """
     Adds links of newly crawled files to the database
     
@@ -44,10 +44,10 @@ def update_ignore_set_links(dataset_name,link):
 
     my_col = connection[dataset_name + MONGODB_DATASET_LINK_COLLECTION]
 
-    my_col.insert({ "name": link})
+    my_col.insert({"name": link})
 
 
-def reset_ignore_set_links(dataset_name):
+def reset_ignore_set_links(dataset_name: str) -> None:
     """
     Drops collection of already downloaded links
     
@@ -62,8 +62,7 @@ def reset_ignore_set_links(dataset_name):
     my_col.drop()
 
 
-
-def load_ignore_set_processed(dataset_name):
+def load_ignore_set_processed(dataset_name: str) -> StringSetType:
     """
     Loads from database set of already processed files
     
@@ -85,7 +84,7 @@ def load_ignore_set_processed(dataset_name):
     return ignore_set
 
 
-def update_ignore_set_processed(dataset_name,filename):
+def update_ignore_set_processed(dataset_name: str, filename: str) -> None:
     """
     Adds files of newly processed files to the database
     
@@ -97,11 +96,10 @@ def update_ignore_set_processed(dataset_name,filename):
 
     my_col = connection[dataset_name + MONGODB_DATASET_PROCESSED_COLLECTION]
 
-    my_col.insert({ "name": filename})
-
+    my_col.insert({"name": filename})
 
 
-def reset_ignore_set_processed(dataset_name):
+def reset_ignore_set_processed(dataset_name: str) -> None:
     """
     Drops collection of already processed files
     
@@ -116,8 +114,7 @@ def reset_ignore_set_processed(dataset_name):
     my_col.drop()
 
 
-
-def load_ignore_set_loaded(dataset_name):
+def load_ignore_set_loaded(dataset_name: str) -> StringSetType:
     """
     Loads from database set of already loaded files in database
     
@@ -139,8 +136,7 @@ def load_ignore_set_loaded(dataset_name):
     return ignore_set
 
 
-
-def update_ignore_set_loaded(dataset_name,filename):
+def update_ignore_set_loaded(dataset_name: str, filename: str) -> None:
     """
     Adds files of newly loaded files to the database
     
@@ -152,10 +148,10 @@ def update_ignore_set_loaded(dataset_name,filename):
 
     my_col = connection[dataset_name + MONGODB_DATASET_LOADED_COLLECTION]
 
-    my_col.insert({ "name": filename})
+    my_col.insert({"name": filename})
 
 
-def reset_ignore_set_loaded(dataset_name):
+def reset_ignore_set_loaded(dataset_name: str) -> None:
     """
     Drops collection of already loaded files
     
@@ -170,7 +166,7 @@ def reset_ignore_set_loaded(dataset_name):
     my_col.drop()
 
 
-def load_updated(dataset_name):
+def load_updated(dataset_name: str) -> int:
     """
     Loads value of (days from last update) from db
     
@@ -184,14 +180,14 @@ def load_updated(dataset_name):
 
     my_col = connection[MONGODB_DATASET_COLLECTION]
 
-    data = my_col.find_one({'key-name': dataset_name},{'updated'})
+    data = my_col.find_one({'key-name': dataset_name}, {'updated'})
 
     updated = int(data['updated'])
 
     return updated
 
 
-def update_updated(dataset_name,value):
+def update_updated(dataset_name: str, value: int):
     """
     Updates value of (days from last update) in db
     
@@ -203,7 +199,7 @@ def update_updated(dataset_name,value):
 
     my_col = connection[MONGODB_DATASET_COLLECTION]
 
-    myquery = { 'key-name': dataset_name }
-    new_values = { "$set": { "updated": value } }
+    myquery = {'key-name': dataset_name}
+    new_values = {"$set": {"updated": value}}
 
-    my_col.update_one(myquery,new_values)
+    my_col.update_one(myquery, new_values)
diff --git a/modules/crawler/Utilities/configure_functions.py b/modules/crawler/Utilities/configure_functions.py
index 27b2615..911b8e7 100644
--- a/modules/crawler/Utilities/configure_functions.py
+++ b/modules/crawler/Utilities/configure_functions.py
@@ -1,5 +1,7 @@
 import yaml
 import os
+from typing import Dict, Set
+from shared_types import StringSetType
 from Utilities.Database import database_record_logs
 from Utilities.helpers import should_skip
 
@@ -9,7 +11,7 @@ CONFIG_FILES_PATH = "DatasetConfigs/"
 CONFIG_FILE_TYPE = ".yaml"
 
 
-def load_configuration(dataset_name):
+def load_configuration(dataset_name: str) -> Dict[str, any]:
     """
     Loads yaml configuration file into memory
 
@@ -22,7 +24,7 @@ def load_configuration(dataset_name):
     with open(CONFIG_FILES_PATH + dataset_name + CONFIG_FILE_TYPE, "r") as f:
         data = yaml.load(f, Loader=yaml.FullLoader)
 
-    devices_dic = dict()
+    devices_dic = {}
 
     if data["devices"] is not None:
         for item in data["devices"]:
@@ -33,7 +35,8 @@ def load_configuration(dataset_name):
     return data
 
 
-def update_configuration(dataset_name, new_devices):
+def update_configuration(dataset_name: str,
+                         new_devices: StringSetType) -> None:
     """
     Open dataset and appends new_devices to the end
 
@@ -53,7 +56,7 @@ def update_configuration(dataset_name, new_devices):
             file.write("\n")
 
 
-def check_if_there_is_a_config_file(dataset_name):
+def check_if_there_is_a_config_file(dataset_name: str) -> bool:
     """
     Goes trough all config files (represeting valid dataset in database)
     and checks if dataset_name is there
@@ -75,7 +78,8 @@ def check_if_there_is_a_config_file(dataset_name):
     return False
 
 
-def return_dictionary_of_valid_devices(devices):
+def return_dictionary_of_valid_devices(
+        devices: Dict[str, any]) -> Dict[str, Dict[str, any]]:
     """
     Iterates over all devices specified in config file
 
@@ -87,7 +91,7 @@ def return_dictionary_of_valid_devices(devices):
     Returns:   
         Dictonary containing only valid devices
     """
-    valid_devices = dict()
+    valid_devices = {}
 
     for device in devices.keys():
         if not should_skip(devices[device]):
diff --git a/modules/crawler/Utilities/date_formating.py b/modules/crawler/Utilities/date_formating.py
index 1ec11cf..100e83e 100644
--- a/modules/crawler/Utilities/date_formating.py
+++ b/modules/crawler/Utilities/date_formating.py
@@ -1,4 +1,4 @@
-def date_formatter(string_date):
+def date_formatter(string_date: str) -> str:
     """
 
     Args:
@@ -21,12 +21,13 @@ def date_formatter(string_date):
 
         string_date = srr
 
-    return_date = string_date[6:10] + '-' + string_date[3:5] + '-' + string_date[:2]
+    return_date = string_date[6:10] + '-' + string_date[
+        3:5] + '-' + string_date[:2]
 
     return return_date
 
 
-def date_time_formatter(string_date):
+def date_time_formatter(string_date: str) -> str:
     """
     Converts one type of date format "dd.mm.yyyy hh.mm.ss" to date format YYYY-mm-dd-hh
     Args:
@@ -49,6 +50,7 @@ def date_time_formatter(string_date):
 
         string_date = srr
 
-    return_date = string_date[6:10] + '-' + string_date[3:5] + '-' + string_date[:2] + '-' + string_date[11:13]
+    return_date = string_date[6:10] + '-' + string_date[
+        3:5] + '-' + string_date[:2] + '-' + string_date[11:13]
 
     return return_date
